# Uses of Class
org.apache.zookeeper.server.quorum.QuorumPacket

Packages that use QuorumPacket
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.quorum

## Uses of QuorumPacket in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server with parameters of type QuorumPacket
Modifier and Type
Method
Description
`static void`
ZooTrace.`logQuorumPacket(org.slf4j.Logger log, long mask, char direction, QuorumPacket qp)`

## Uses of QuorumPacket in org.apache.zookeeper.server.quorum

Methods in org.apache.zookeeper.server.quorum that return QuorumPacket
Modifier and Type
Method
Description
`static QuorumPacket`
Leader.`buildInformAndActivePacket(long zxid, long designatedLeader, byte[] proposalData)`
`QuorumPacket`
Leader.Proposal.`getQuorumPacket()`
`QuorumPacket`
Leader.PureRequestProposal.`getQuorumPacket()`
Methods in org.apache.zookeeper.server.quorum that return types with arguments of type QuorumPacket
Modifier and Type
Method
Description
`Queue<QuorumPacket>`
LearnerHandler.`getQueuedPackets()`
For testing, return packet queue
Methods in org.apache.zookeeper.server.quorum with parameters of type QuorumPacket
Modifier and Type
Method
Description
`void`
QuorumPacket.`copyFrom(QuorumPacket from)`
`static String`
LearnerHandler.`packetToString(QuorumPacket p)`
`protected void`
Learner.`ping(QuorumPacket qp)`
`protected void`
Follower.`processPacket(QuorumPacket qp)`
Examine the packet received in qp and dispatch based on its contents.
`protected void`
Observer.`processPacket(QuorumPacket qp)`
Controls the response of an observer to the receipt of a quorumpacket
`void`
LearnerSender.`queuePacket(QuorumPacket pp)`
`protected void`
Learner.`revalidate(QuorumPacket qp)`
`void`
Leader.`revalidateSession(QuorumPacket qp, LearnerHandler learnerHandler)`
`void`
ObserverMaster.`revalidateSession(QuorumPacket qp, LearnerHandler learnerHandler)`
Constructors in org.apache.zookeeper.server.quorum with parameters of type QuorumPacket
Modifier
Constructor
Description
``
`Proposal(QuorumPacket packet)`
``
`Proposal(Request request, QuorumPacket packet)`